export interface AIOption {
  label: string
  value: string
}

export interface AIMessage {
  id?: string
  role: 'user' | 'assistant' | 'system'
  content: string
  reasoning_content?: string
  json?: any
  loading?: boolean
}

export interface AIData {
  response_format?: { type: 'text' | 'json_object' }
  model?: string
  messages: AIMessage[]
}
